libstdc++: std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits > Class Template Reference

libstdc++

std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits > Class Template Reference

`#include <iterator>`

## Public Types
typedef _CharT | char_type
typedef void | difference_type
typedef output_iterator_tag | iterator_category
typedef basic_ostream< _CharT, _Traits > | ostream_type
typedef void | pointer
typedef void | reference
typedef _Traits | traits_type
typedef void | value_type

## Public Member Functions
| ostream_joiner (ostream_type &__os, _DelimT &&__delimiter) noexcept(is_nothrow_move_constructible_v< _DelimT >)
| ostream_joiner (ostream_type &__os, const _DelimT &__delimiter) noexcept(is_nothrow_copy_constructible_v< _DelimT >)
ostream_joiner & | operator* () noexcept
ostream_joiner & | operator++ () noexcept
ostream_joiner & | operator++ (int) noexcept
template<typename _Tp>
ostream_joiner & | operator= (const _Tp &__value)

## Detailed Description

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>
class std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >

Output iterator that inserts a delimiter between elements.

Definition at line 62 of file experimental/iterator.

## Member Typedef Documentation

## ◆ char_type

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

typedef _CharT std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::char_type

Definition at line 65 of file experimental/iterator.

## ◆ difference_type

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

typedef void std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::difference_type

Definition at line 70 of file experimental/iterator.

## ◆ iterator_category

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

typedef output_iterator_tag std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::iterator_category

Definition at line 68 of file experimental/iterator.

## ◆ ostream_type

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

typedef basic_ostream<_CharT, _Traits> std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::ostream_type

Definition at line 67 of file experimental/iterator.

## ◆ pointer

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

typedef void std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::pointer

Definition at line 71 of file experimental/iterator.

## ◆ reference

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

typedef void std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::reference

Definition at line 72 of file experimental/iterator.

## ◆ traits_type

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

typedef _Traits std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::traits_type

Definition at line 66 of file experimental/iterator.

## ◆ value_type

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

typedef void std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::value_type

Definition at line 69 of file experimental/iterator.

## Constructor & Destructor Documentation

## ◆ ostream_joiner() [1/2]

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::ostream_joiner | ( | ostream_type & | __os,
|  | const _DelimT & | __delimiter )
| inlinenoexcept

Definition at line 74 of file experimental/iterator.

## ◆ ostream_joiner() [2/2]

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::ostream_joiner | ( | ostream_type & | __os,
|  | _DelimT && | __delimiter )
| inlinenoexcept

Definition at line 79 of file experimental/iterator.

## Member Function Documentation

## ◆ operator*()

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

ostream_joiner & std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::operator* | ( |  | ) |
| inlinenoexcept

Definition at line 95 of file experimental/iterator.

## ◆ operator++() [1/2]

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

ostream_joiner & std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::operator++ | ( |  | ) |
| inlinenoexcept

Definition at line 96 of file experimental/iterator.

## ◆ operator++() [2/2]

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>

ostream_joiner & std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::operator++ | ( | int |  | ) |
| inlinenoexcept

Definition at line 97 of file experimental/iterator.

## ◆ operator=()

template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>
template<typename _Tp>

ostream_joiner & std::experimental::fundamentals_v2::ostream_joiner< _DelimT, _CharT, _Traits >::operator= | ( | const _Tp & | __value | ) |
| inline

Definition at line 86 of file experimental/iterator.

The documentation for this class was generated from the following file:

- experimental/iterator